/**
 * Holds the previous value of a getter, with the initial value being
 * the value of the getter when the instance is created, rather than
 * `undefined`.
 */
export class PreviousWithInit {
    #previous = $state(null);
    #curr;
    constructor(getter) {
        const init = getter();
        this.#previous = init;
        this.#curr = init;
        $effect(() => {
            this.#previous = this.#curr;
            this.#curr = getter();
        });
    }
    get current() {
        return this.#previous;
    }
}
